LINUX.ORG.RU
ФорумAdmin

Не могу пропачить ядро, патч IMQ.


0

0

Вобщем так. Имеем Mandiva2006 с ядром 2.6.12-15mdk.
Накладываю на нее патч IMQ linux-2.6.9-imq1. При компиляции возникает ошибка.
Есть еще ядро 2.6.15-5mdk. Тут патч linux-2.6.14-imq6 встает, но при загрузке модуля imq ядро падает kernel panic. Это на атлоне. На P4 все нормально. Пробовал компилять с разными опциями -один хрен.
Подскажите, не дайте пропасть. Очень нужен IMQ.


Re: Не могу пропачить ядро, патч IMQ.

Может быть откатиться на 2.6.14 ?

anonymous
()

Re: Не могу пропачить ядро, патч IMQ.

Для модификации лучше брать "чистое" ядро с kernel.org.

Vlad_Ts ★★★★★
()
Ответ на: Re: Не могу пропачить ядро, патч IMQ. от Vlad_Ts

Re: Не могу пропачить ядро, патч IMQ.

>Для модификации лучше брать "чистое" ядро с kernel.org.

А как его пропачить - там же куча разных патчей.

Насчет 2.6.14 где его теперь взять - мандривовское. В cooker есть 2.6.16-rc3, но его неохота.

mnk
() автор топика

Re: Не могу пропачить ядро, патч IMQ.

мне видится решение проблемы следующим:

0. на kernel.org чистое ядро.
1. патч imq для соответствующей версии ядра.

hateful_dead
()
Ответ на: Re: Не могу пропачить ядро, патч IMQ. от hateful_dead

Re: Не могу пропачить ядро, патч IMQ.

Вот блин скачал ядро 2.6.14 c kernel.org - пропачил, компильнул. И при загрузке
mobrobe imq ядро опять упало в корку.
Хрен знает что и делать.

mnk
() автор топика
Ответ на: Re: Не могу пропачить ядро, патч IMQ. от spirit

Re: Не могу пропачить ядро, патч IMQ.

Ядро 2.6.15.4 c kernel.org, 3 патча IMQ (linux-2.6.14-imq6.diff), L7(kernel-2.6.13-2.6.14-layer7-2.0.patch) и ESFQ(esfq-kernel.patch). И трындец. Как только гружу модуль IMQ, сразу в корку. Задолбался уже пробовать разные варианты.

mnk
() автор топика
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.